src/base/cs_syr4_coupling.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
cs_syr4_coupling.c File Reference
`#include "cs_defs.h"`
`#include <stdarg.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <assert.h>`
`#include <math.h>`
`#include <mpi.h>`
`#include <ple_coupling.h>`
`#include <ple_locator.h>`
`#include "bft_mem.h"`
`#include "bft_error.h"`
`#include "bft_printf.h"`
`#include "fvm_nodal.h"`
`#include "fvm_nodal_extract.h"`
`#include "fvm_nodal_project.h"`
`#include "fvm_selector.h"`
`#include "cs_coupling.h"`
`#include "cs_log.h"`
`#include "cs_mesh.h"`
`#include "cs_mesh_quantities.h"`
`#include "cs_mesh_connect.h"`
`#include "cs_parall.h"`
`#include "cs_post.h"`
`#include "cs_selector.h"`
`#include "cs_time_step.h"`
`#include "cs_syr4_coupling.h"`
Include dependency graph for cs_syr4_coupling.c:

## Functions
cs_lnum_t | cs_syr4_coupling_n_couplings (void)
cs_syr4_coupling_t * | cs_syr4_coupling_by_id (cs_lnum_t coupling_id)
void | cs_syr4_coupling_add (cs_lnum_t dim, cs_lnum_t ref_axis, const char *face_sel_criterion, const char *cell_sel_criterion, const char *syr_name, bool allow_nonmatching, float tolerance, int verbosity, int visualization)
void | cs_syr4_coupling_all_destroy (void)
void | cs_syr4_coupling_set_conservativity (int flag)
void | cs_syr4_coupling_set_explicit_treatment (void)
void | cs_syr4_coupling_init_comm (cs_syr4_coupling_t *syr_coupling, int coupling_id, int syr_root_rank, int n_syr_ranks)
void | cs_syr4_coupling_init_mesh (cs_syr4_coupling_t *syr_coupling)
int | cs_syr4_coupling_is_surf (const cs_syr4_coupling_t *syr_coupling)
int | cs_syr4_coupling_is_vol (const cs_syr4_coupling_t *syr_coupling)
cs_lnum_t | cs_syr4_coupling_get_n_elts (const cs_syr4_coupling_t *syr_coupling, int mode)
void | cs_syr4_coupling_get_elt_list (const cs_syr4_coupling_t *syr_coupling, cs_int_t cpl_elt_lst[], int mode)
void | cs_syr4_coupling_recv_tsolid (cs_syr4_coupling_t *syr_coupling, cs_real_t tsolid[], int mode)
void | cs_syr4_coupling_send_tf_hf (cs_syr4_coupling_t *syr_coupling, const cs_lnum_t cpl_elt_lst[], cs_real_t tf[], cs_real_t hf[], cs_int_t mode)
void | cs_syr4_coupling_ts_contrib (const cs_syr4_coupling_t *syr_coupling, const cs_real_t tf[], cs_real_t ctbimp[], cs_real_t ctbexp[])

## Variables
const int | cs_syr4_coupling_tag = 'C'+'S'+'_'+'C'+'O'+'U'+'P'+'L'+'A'+'G'+'E'

## Function Documentation

void cs_syr4_coupling_add | ( | cs_lnum_t | dim,
|  | cs_lnum_t | ref_axis,
|  | const char * | face_sel_criterion,
|  | const char * | cell_sel_criterion,
|  | const char * | syr_name,
|  | bool | allow_nonmatching,
|  | float | tolerance,
|  | int | verbosity,
|  | int | visualization
| ) |  |

void cs_syr4_coupling_all_destroy | ( | void |  | ) |

cs_syr4_coupling_t* cs_syr4_coupling_by_id | ( | cs_lnum_t | coupling_id | ) |

void cs_syr4_coupling_get_elt_list | ( | const cs_syr4_coupling_t * | syr_coupling,
|  | cs_int_t | cpl_elt_lst[],
|  | int | mode
| ) |  |

cs_lnum_t cs_syr4_coupling_get_n_elts | ( | const cs_syr4_coupling_t * | syr_coupling,
|  | int | mode
| ) |  |

void cs_syr4_coupling_init_comm | ( | cs_syr4_coupling_t * | syr_coupling,
|  | int | coupling_id,
|  | int | syr_root_rank,
|  | int | n_syr_ranks
| ) |  |

void cs_syr4_coupling_init_mesh | ( | cs_syr4_coupling_t * | syr_coupling | ) |

int cs_syr4_coupling_is_surf | ( | const cs_syr4_coupling_t * | syr_coupling | ) |

int cs_syr4_coupling_is_vol | ( | const cs_syr4_coupling_t * | syr_coupling | ) |

cs_lnum_t cs_syr4_coupling_n_couplings | ( | void |  | ) |

void cs_syr4_coupling_recv_tsolid | ( | cs_syr4_coupling_t * | syr_coupling,
|  | cs_real_t | tsolid[],
|  | int | mode
| ) |  |

void cs_syr4_coupling_send_tf_hf | ( | cs_syr4_coupling_t * | syr_coupling,
|  | const cs_lnum_t | cpl_elt_lst[],
|  | cs_real_t | tf[],
|  | cs_real_t | hf[],
|  | cs_int_t | mode
| ) |  |

void cs_syr4_coupling_set_conservativity | ( | int | flag | ) |

void cs_syr4_coupling_set_explicit_treatment | ( | void |  | ) |

void cs_syr4_coupling_ts_contrib | ( | const cs_syr4_coupling_t * | syr_coupling,
|  | const cs_real_t | tf[],
|  | cs_real_t | ctbimp[],
|  | cs_real_t | ctbexp[]
| ) |  |

## Variable Documentation

const int cs_syr4_coupling_tag = 'C'+'S'+'_'+'C'+'O'+'U'+'P'+'L'+'A'+'G'+'E'